﻿@using GridMvc.Html
@using GridMvc.Sorting
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<LoyaltyPointEngine.DataMember.District>


@(
 Html.Grid(Model).Named("AllMemberDistrict").Columns(columns =>
 {

     columns.Add(x => x.Province.ProvinceName)
         .Titled("ProvinceID")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.Province != null ? x.Province.ProvinceName : "-");
     
     
     columns.Add(x => x.DistrictCode)
         .Titled("DistrictCode")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.DistrictCode);

     columns.Add(x => x.DistrictName)
         .Titled("DistrictName")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.DistrictName);
     
     

     columns.Add()
         .Encoded(false)
         .Sanitized(false)
         .SetWidth(50)
         .Css("cell-center")
     .RenderValueAs(x => string.Format("<a href=\"{0}\" class=\"btn btn-xs btn-info\">Edit</a>", Url.Action(MVC.MemberDistrict.Edit(x.ID))));

   
 })
.Sortable()
.WithPaging(5)
)

